package hra;

/**
 *
 * @author lsroubov
 */
public class Hrac {
    private String jmeno;
    private int hraciPlan;
    private int poloha;
    private HodKostkou kostka;
    private String zprava;
    
    public Hrac(String jmeno, int poloha, int hraciPlan, HodKostkou kostka){
        this.jmeno = jmeno;
        this.hraciPlan = hraciPlan;
        this.poloha = poloha;
        this.kostka = kostka;
    }
    
    public boolean ukonciHru() {
        return(poloha == hraciPlan);
    }
    
    public String vypisStavHry() {
        String s = "|";
        for (int i = 0; i < poloha; i++){
            s += "_|";
        }
        s += "o";
        for (int i = poloha+1; i<=hraciPlan; i++){
            s += "|-";
        }
        s += "|";
        return(s);
    }
    
    public void hrajTed(Hrac ucastnik) {
        int pocet = kostka.hazej();
        poloha += pocet;
        if(poloha > hraciPlan){
            poloha -= pocet;
            String.format("Nemuzu hrat%n");
        }
        else if (poloha == hraciPlan)
            String.format("Vitez%n");
        else
            String.format("%s hraje%n",jmeno);
    }
    // dokoncime na pristim cviceni !!!
}
